<?php 

add_action( 'wp_enqueue_scripts', 'salient_child_enqueue_styles');
function salient_child_enqueue_styles() {
	
    wp_enqueue_style( 'parent-style', get_template_directory_uri() . '/style.css', array('font-awesome'));

    if ( is_rtl() ) 
   		wp_enqueue_style(  'salient-rtl',  get_template_directory_uri(). '/rtl.css', array(), '1', 'screen' );
}


function get_zm_recentpost()
{
            query_posts(array( 
                'post_type' => 'post',
                'posts_per_page' => '3',
                'order_by' => 'date',
                'order' => 'DESC'
            ) );  

    $html = '<ul class="recent-posts-zm">';
    
    while (have_posts()) : the_post();

    $thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full' );
    
    $timed = get_the_time('d');
    $timem = get_the_time('M');
    $urlimage = $thumb['0'];
    $title = get_the_title();
    $urlink = get_the_permalink();
    $excerpt = get_the_excerpt();
    
             $html .= '<li>';
                 $html .= '<div class="img-custom">';
                     $html .= '<span class="fecha">';
                         $html .= '<span class="dia">'.$timed.'</span>';
                         $html .= '<span class="mes">'.$timem.'</span>';
                    $html .= '</span>';
                    $html .= '<i class="imagen" style="background:url('.$urlimage.'); background-size:cover; background-position: center center;"></i>';
                 $html .= '</div>';
                 $html .= '<h2>'.$title.'</h2>';
                 $html .= '<p>'.$excerpt.'</p>';
                 $html .= '<a href="'.$urlink.'">READ MORE</a>';
             $html .= '</li>';

    endwhile;
    
    wp_reset_query();

    $html .= '</ul>';
    
    return $html;
}

add_shortcode( 'recentpost', 'get_zm_recentpost');

/* option page */

if( function_exists('acf_add_options_page') ) {
	
	acf_add_options_page(array(
		'page_title' 	=> 'Theme General Settings',
		'menu_title'	=> 'Theme Settings',
		'menu_slug' 	=> 'theme-general-settings',
		'capability'	=> 'edit_posts',
		'redirect'		=> false
	));
	
	acf_add_options_sub_page(array(
		'page_title' 	=> 'Theme Header Settings',
		'menu_title'	=> 'Header',
		'parent_slug'	=> 'theme-general-settings',
	));
	
	acf_add_options_sub_page(array(
		'page_title' 	=> 'Theme Footer Settings',
		'menu_title'	=> 'Footer',
		'parent_slug'	=> 'theme-general-settings',
	));
	
}

?>